/*
Author: Belmonte Devis
Content: cfbtcomic.com read stylesheet
Date: 04/07/2022
*/
@import url('https://fonts.googleapis.com/css2?family=Syne:wght@400;500;600;700;800&display=swap');

:root {
    --font-primary: 'Syne', arial, sans-serif;
    --color-text: #FFF;
    --color-background: #000;
    --color-layout: #111;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    font-family: var(--font-primary);
    color: var(--color-text);
    background-color: var(--color-background);
}

.sticky {
    position: sticky;
    top: 0;
    width: 100%
}

#logo {
    padding: 1em;
    background-color: var(--color-layout);
    text-align: center;
}

#menu {
    padding: 0.2em 1em;
    background-color: var(--color-layout);
    text-align: center;
}

ul {
    display: flex;
    list-style: none;
}

nav a:hover {
    background-color: var(--color-text);
    color: var(--color-background);
}

.comic {
    text-align: center;
}

.sticky + #menu {
    padding-top: 150px;
}

footer a{
    color: white;
}

.dropbtn a {
    color: var(--color-text);
    text-decoration: none;
}

/* The container <div> - needed to position the dropdown content */
.dropdown {
    position: relative;
    display: inline-block;
}

/* Dropdown Content (Hidden by Default) */
.dropdown-content {
    display: none;
    position: absolute;
    background-color: #f1f1f1;
    min-width: 160px;
    z-index: 1;
}

/* Links inside the dropdown */
.dropdown-content a {
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
}

/* Change color of dropdown links on hover */
.dropdown-content a:hover {
    background-color: var(--color-text);
}

/* Show the dropdown menu on hover */
.dropdown:hover .dropdown-content {
    display: block;
}

/* Change the background color of the dropdown button when the dropdown content is shown */
.dropdown:hover .dropbtn {
    background-color: var(--color-text);
}

.dropdown:hover .dropbtn a {
    color: var(--color-background);
}

nav #active {
    background-color: var(--color-text);
    color: var(--color-background);
}

#logo img {
    max-height: 2.5em;
}

ul > li > a {
    display: block;
    padding: 0.5em;
    text-decoration: none;
    color: var(--color-text);
}

/* Dropdown for read page */
.dropbtn {
    background-color: #111;
    padding: .5em;
    font-size: 1em;
    text-decoration: none;
    border: none;
    font: var(--font-primary);
}

.comic img {
    width: 100%;
}

header{
    width: 100%;
    top: 0;
    right: 0;
}

nav {
    display: flex;
    justify-content: center;
    text-align: center;
}

.nav--hidden{
    transform: translateY(-202px);
}

footer {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    left: 0;
    bottom: 0;
    background-color: var(--color-layout);
    text-align: center;
    z-index: 2;
    width: 100%;
    padding: 1em;
    margin: 0;
    gap: 0.5em;
}

.disclaimer{
    font-size: 0.75em;
}

.last-image-wrapper {
    position: relative;
}

.blurred-image {
    filter: blur(8px); /* Adjust the blur level as needed */
    width: 80%; /* Adjust the image width as desired */
    height: auto;
    margin: 0 auto; /* Center the image horizontally */
}

.read-button {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: block;
    padding: 20px 40px;
    background-color: #000;
    color: #fff;
    font-size: 2em;
    text-align: center;
    text-decoration: none;
}

.read-button:hover {
    background-color: #333;
}

#back-to-top-btn {
    position: fixed;
    right: 20px;
    bottom: 20px;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background-color: #333;
    color: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 20px;
    text-decoration: none;
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.3s, visibility 0.3s;
}

#back-to-top-btn.active {
    opacity: 1;
    visibility: visible;
}

/* Style for tablets */
@media (min-device-width: 768px) {

    #logo img {
        max-height: 5em;
    }

    ul > li > a {
        font-size: 1.2em;
    }

    .dropbtn {
        font-size: 1.2em;
    }
}

/* Style for desktops */
@media (min-device-width: 992px) {

    .comic img {
        width: 50%;
    }

    #logo img {
        max-height: 7em;
    }

    ul > li > a {
        font-size: 1.4em;
    }

    .dropbtn {
        font-size: 1.4em;
    }
}